.nill-home-intro {
    grid-template-rows: auto 1fr auto;
}

.nill-home-intro .default-slider {
    grid-area: 1/1/span 3/span 14;
    position: relative;
}

.nill-home-intro .default-slider::before {
    content: "";
    display: block;
    width: 100%;
    height: 50%;
    position: absolute;
    left: 0;
    bottom: 0;
    background: linear-gradient(180deg, rgba(255, 255, 255, 0.00) 17.31%, #444A51 100%);
    mix-blend-mode: multiply;
    z-index: 1;
}

.nill-home-intro .default-slider .default-slider-item {
    height: calc(100vh - var(--header-height));
    height: calc(100svh - var(--header-height));
    /* min-height: 100%; */
}

.nill-home-intro .default-slider-pagination.dots-pagination {
    grid-area: 1/1/span 3/span 3;
    z-index: 1;
    border-right: 2px solid currentColor;
    max-width: calc(var(--grid-margin) + var(--grid-gap));
    min-width: fit-content;
    padding: var(--m-sm) var(--m-xs);
}

.nill-home-intro .headline {
    grid-area: 1/3/span 1/span 10;
    z-index: 1;
    max-width: 20ch;
}

.nill-home-intro .text-container {
    grid-area: 3/8/span 1/span 4;
    z-index: 1;
    max-width: 44ch;
    margin-bottom: calc(var(--m-md) + var(--m-sm));
}

.nill-home-intro .scroll-btn {
    grid-area: 3/13/span 1/span 1;
    z-index: 1;
}

.nill-home-intro .scroll-btn::after {
    transform: scale(1);
}

.nill-home-intro .scroll-btn::after {
    transform: scale(1);
}

@media (max-width: 991.98px) {
    .nill-home-intro .text-container {
        grid-area: 3/3/span 1/span 8;
        margin-bottom: var(--m-md);
    }

    .nill-home-intro .scroll-btn {
        grid-area: 3/11/span 1/span 2;
        justify-self: flex-end;
        align-self: flex-end;
        margin-bottom: var(--m-md);
    }
}

@media (max-width: 575.98px) {
    .nill-home-intro .default-slider {
        grid-area: 1/1/span 4/span 14;
    }

    .nill-home-intro .headline {
        grid-area: 1/2/span 1/span 12;
    }

    .nill-home-intro .text-container {
        grid-area: 3/2/span 1/span 10;
    }

    .nill-home-intro .scroll-btn {
        grid-area: 3/12/span 1/span 2;
    }

    .nill-home-intro .default-slider-pagination.dots-pagination {
        grid-area: 4/1/span 1/span 14;
        flex-direction: row;
        width: 100%;
        max-width: unset;
        border-right: none;
        border-top: 2px solid currentColor;
        padding: var(--m-xs) var(--grid-gap);
    }
}